package com.qmth.distributed.print.business.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.base.BaseEntity;
import com.qmth.teachcloud.common.enums.AssignEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 试卷基础信息表（赋分系数、试卷类型、满分、及格分等）
 * </p>
 *
 * @author wangliang
 * @since 2022-05-20
 */
@ApiModel(value="GradePaper对象", description="试卷基础信息表（赋分系数、试卷类型、满分、及格分等）")
public class GradePaper extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "学校id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long schoolId;

    @ApiModelProperty(value = "试卷编号")
    private String paperNumber;

    @ApiModelProperty(value = "试卷类型")
    private String paperType;

    @ApiModelProperty(value = "试卷名称")
    private String paperName;

    @ApiModelProperty(value = "该试卷考试开始时间")
    private Long startTime;

    @ApiModelProperty(value = "该试卷考试结束时间")
    private Long endTime;

    @ApiModelProperty(value = "赋分系数（赋值分=卷面成绩 +（卷面满分-卷面成绩）/ 赋分系数）")
    private BigDecimal coefficient;

    @ApiModelProperty(value = "试卷满分")
    private BigDecimal totalScore;

    @ApiModelProperty(value = "试卷及格分")
    private BigDecimal passScore;

    @ApiModelProperty(value = "赋分类型\\n1.NEED_ASSIGN_SCORE('是','需要且按照公式赋分')\\n2.NO_NEED_ASSIGN_SCORE('否','不需要赋分，标准分即为赋分')\\n3.SPECIAL_ASSIGN_SCORE('特殊赋分','特殊赋分，按照excel表进行赋分')")
    private AssignEnum scoreType;

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public String getPaperName() {
        return paperName;
    }

    public void setPaperName(String paperName) {
        this.paperName = paperName;
    }

    public Long getStartTime() {
        return startTime;
    }

    public void setStartTime(Long startTime) {
        this.startTime = startTime;
    }

    public Long getEndTime() {
        return endTime;
    }

    public void setEndTime(Long endTime) {
        this.endTime = endTime;
    }

    public BigDecimal getCoefficient() {
        return coefficient;
    }

    public void setCoefficient(BigDecimal coefficient) {
        this.coefficient = coefficient;
    }

    public BigDecimal getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(BigDecimal totalScore) {
        this.totalScore = totalScore;
    }

    public BigDecimal getPassScore() {
        return passScore;
    }

    public void setPassScore(BigDecimal passScore) {
        this.passScore = passScore;
    }

    public AssignEnum getScoreType() {
        return scoreType;
    }

    public void setScoreType(AssignEnum scoreType) {
        this.scoreType = scoreType;
    }
}
